//	+---------------------------+
//	|	Speakonia Platform		|
//	+---------------------------+
//	|	Version: 2.0			|
//	|	Released: Jan 17, 2014	|
//	|	Author: Zapk | 12270	|
//	+---------------------------+
if(!isObject(SpeakoniaPlatformToggle))
{
	new GuiCheckBoxCtrl(SpeakoniaPlatformToggle)
	{
		profile = "GuiCheckBoxProfile";
		position = "8 305";
		extent = "158 30";
		variable = "$Pref::SpeakoniaPlatform::Enable";
		text = "Enable Speakonia Platform";
		buttonType = "ToggleButton";
	};
	
	OptAudioPane.add(SpeakoniaPlatformToggle);
}

if($Pref::SpeakoniaPlatform::Enable $= "")
{
	$Pref::SpeakoniaPlatform::Enable = true;
}

if(isPackage(SpeakoniaPlatform))
{
	deactivatePackage(SpeakoniaPlatform);
}

package SpeakoniaPlatform
{
	function clientCmdChatMessage(%a,%b,%c,%fmsg,%cp,%name,%cs,%msg)
	{
		parent::clientCmdChatMessage(%a, %b, %c, %fmsg, %cp, %name, %cs, %msg);
		if($Pref::SpeakoniaPlatform::Enable)
		{
			setClipboard(%msg);
		}
	}
};

activatePackage(SpeakoniaPlatform);